POST api/particlecounterapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "77f3467f-e700-4889-baa2-aeeaad639c56",
"cleanroom_id": "c70b282d-5f1f-4463-b48e-5f49943e59c2",
"description": "sample string 3",
"id": "598aab81-0eba-4c53-b20d-eea24e97d55b",
"ip_address": "sample string 5",
"particle_counter_type_id": "2b894f1d-0052-4615-b259-2adeda2fc08b",
"site_id": "23d1c77e-42b9-4250-b923-aebfa483a115"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>77f3467f-e700-4889-baa2-aeeaad639c56</anatype_id> <cleanroom_id>c70b282d-5f1f-4463-b48e-5f49943e59c2</cleanroom_id> <description>sample string 3</description> <id>598aab81-0eba-4c53-b20d-eea24e97d55b</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>2b894f1d-0052-4615-b259-2adeda2fc08b</particle_counter_type_id> <site_id>23d1c77e-42b9-4250-b923-aebfa483a115</site_id> </particle_counter>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"67dbd552-bd61-4b31-9ef5-618e8412cff4"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">67dbd552-bd61-4b31-9ef5-618e8412cff4</guid>